<template functional>
  <div
    :ref="data.ref"
    class="flex justify-start items-center"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <slot name="icon">
      <svg-icon
        v-if="props.icon"
        :icon="props.icon"
        class="flex-shrink-0"
        :class="[
          props.iconStyle.margin,
          props.iconStyle.size,
          props.iconStyle.colors.fg,
        ]"
      />
    </slot>
    <slot>
      <span v-if="props.label">{{ props.label }}</span>
    </slot>
  </div>
</template>

<script>
export default {
  name: 'IconItem',
  props: {
    icon: { type: String, default: undefined },
    iconStyle: {
      type: Object,
      default: () => ({
        margin: undefined,
        size: undefined,
        colors: { fg: undefined, bg: undefined },
      }),
    },
    label: { type: String, default: undefined },
  },
};
</script>
